Loading...
Searching...
No Matches
mongocxx::v1::client_bulk_write::options Class Reference

`#include <mongocxx/v1/client_bulk_write.hpp>`

## Description

Options for a client bulk write operation.

Supported fields include:

- bypass_document_validation ("bypassDocumentValidation")
- comment
- let
- ordered
- verbose_results ("verboseResults")
- write_concern ("writeConcern")

See also
  - Bulk Write Operations (MongoDB Manual)

## Public Member Functions

| options ()
| Default initialization.
| options (options &&other) noexcept
| Move constructor.
| options (options const &other)
| Copy construction.
| ~options ()
| Destroy this object.
bsoncxx::v1::stdx::optional< bool > | bypass_document_validation () const
| Return the current "bypassDocumentValidation" field.
options & | bypass_document_validation (bool v)
| Set the "bypassDocumentValidation" field.
bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > | comment () const
| Return the current "comment" field.
options & | comment (bsoncxx::v1::types::value v)
| Set the "comment" field.
bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > | let () const
| Return the current "let" field.
options & | let (bsoncxx::v1::document::value v)
| Set the "let" field.
options & | operator= (options &&other) noexcept
| Move assignment.
options & | operator= (options const &other)
| Copy assignment.
bsoncxx::v1::stdx::optional< bool > | ordered () const
| Return the current "ordered" field.
options & | ordered (bool v)
| Set the "ordered" field.
bsoncxx::v1::stdx::optional< bool > | verbose_results () const
| Return the current "verboseResults" field.
options & | verbose_results (bool v)
| Set the "verboseResults" field.
bsoncxx::v1::stdx::optional< v1::write_concern > | write_concern () const
| Return the current "writeConcern" field.
options & | write_concern (v1::write_concern v)
| Set the "writeConcern" field.

## Constructor & Destructor Documentation

## ~options()

mongocxx::v1::client_bulk_write::options::~options | ( |  | ) |

Destroy this object.

Warning
  Invalidates all associated views.

## options() [1/3]

mongocxx::v1::client_bulk_write::options::options | ( | options && | other | ) |

noexcept

Move constructor.

Postconditions:
  - other is in an assign-or-destroy-only state.

## options() [2/3]

mongocxx::v1::client_bulk_write::options::options | ( | options const & | other | ) |

Copy construction.

## options() [3/3]

mongocxx::v1::client_bulk_write::options::options | ( |  | ) |

Default initialization.

## Member Function Documentation

## bypass_document_validation() [1/2]

bsoncxx::v1::stdx::optional< bool > mongocxx::v1::client_bulk_write::options::bypass_document_validation | ( |  | ) | const

Return the current "bypassDocumentValidation" field.

## bypass_document_validation() [2/2]

options & mongocxx::v1::client_bulk_write::options::bypass_document_validation | ( | bool | v | ) |

Set the "bypassDocumentValidation" field.

## comment() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::types::view > mongocxx::v1::client_bulk_write::options::comment | ( |  | ) | const

Return the current "comment" field.

## comment() [2/2]

options & mongocxx::v1::client_bulk_write::options::comment | ( | bsoncxx::v1::types::value | v | ) |

Set the "comment" field.

## let() [1/2]

bsoncxx::v1::stdx::optional< bsoncxx::v1::document::view > mongocxx::v1::client_bulk_write::options::let | ( |  | ) | const

Return the current "let" field.

## let() [2/2]

options & mongocxx::v1::client_bulk_write::options::let | ( | bsoncxx::v1::document::value | v | ) |

Set the "let" field.

## operator=() [1/2]

options & mongocxx::v1::client_bulk_write::options::operator= | ( | options && | other | ) |

noexcept

Move assignment.

Postconditions:
  - other is in an assign-or-destroy-only state.

## operator=() [2/2]

options & mongocxx::v1::client_bulk_write::options::operator= | ( | options const & | other | ) |

Copy assignment.

## ordered() [1/2]

bsoncxx::v1::stdx::optional< bool > mongocxx::v1::client_bulk_write::options::ordered | ( |  | ) | const

Return the current "ordered" field.

## ordered() [2/2]

options & mongocxx::v1::client_bulk_write::options::ordered | ( | bool | v | ) |

Set the "ordered" field.

## verbose_results() [1/2]

bsoncxx::v1::stdx::optional< bool > mongocxx::v1::client_bulk_write::options::verbose_results | ( |  | ) | const

Return the current "verboseResults" field.

## verbose_results() [2/2]

options & mongocxx::v1::client_bulk_write::options::verbose_results | ( | bool | v | ) |

Set the "verboseResults" field.

## write_concern() [1/2]

bsoncxx::v1::stdx::optional< v1::write_concern > mongocxx::v1::client_bulk_write::options::write_concern | ( |  | ) | const

Return the current "writeConcern" field.

## write_concern() [2/2]

options & mongocxx::v1::client_bulk_write::options::write_concern | ( | v1::write_concern | v | ) |

Set the "writeConcern" field.

The documentation for this class was generated from the following file:

- mongocxx/v1/client_bulk_write.hpp